Archive verification
Get bucket hash coverage across archive roots
Path Parameters
bucketHash*string
Lowercase or uppercase 64-character hexadecimal Stellar bucket hash.
Match
^[0-9a-fA-F]{64}$Response Body
application/json
curl -X GET "https://example.com/v1/archive-scans/objects/buckets/string/coverage"{ "archiveRoots": [ { "archiveUrl": "http://example.com", "archiveUrlIdentity": "string", "status": "pending", "updatedAt": "2019-08-24T14:15:22Z", "verifiedAt": "2019-08-24T14:15:22Z" } ], "bucketHash": "string", "counts": { "archiveRoots": 0, "failedCopies": 0, "pendingCopies": 0, "scanningCopies": 0, "totalCopies": 0, "verifiedCopies": 0 }, "failedCopies": [ { "archiveUrl": "http://example.com", "archiveUrlIdentity": "string", "attempts": 0, "bytesDownloaded": 0, "claimedAt": "2019-08-24T14:15:22Z", "error": { "message": "string", "type": "string", "httpStatus": 0 }, "nextAttemptAt": "2019-08-24T14:15:22Z", "objectKey": "string", "objectUrl": "http://example.com", "remoteId": "cdee4406-f055-4129-bba8-6e5385434edd", "status": "pending", "updatedAt": "2019-08-24T14:15:22Z", "verifiedAt": "2019-08-24T14:15:22Z", "workerStage": "string" } ], "generatedAt": "2019-08-24T14:15:22Z", "pendingCopies": [ { "archiveUrl": "http://example.com", "archiveUrlIdentity": "string", "attempts": 0, "bytesDownloaded": 0, "claimedAt": "2019-08-24T14:15:22Z", "error": { "message": "string", "type": "string", "httpStatus": 0 }, "nextAttemptAt": "2019-08-24T14:15:22Z", "objectKey": "string", "objectUrl": "http://example.com", "remoteId": "cdee4406-f055-4129-bba8-6e5385434edd", "status": "pending", "updatedAt": "2019-08-24T14:15:22Z", "verifiedAt": "2019-08-24T14:15:22Z", "workerStage": "string" } ], "scanningCopies": [ { "archiveUrl": "http://example.com", "archiveUrlIdentity": "string", "attempts": 0, "bytesDownloaded": 0, "claimedAt": "2019-08-24T14:15:22Z", "error": { "message": "string", "type": "string", "httpStatus": 0 }, "nextAttemptAt": "2019-08-24T14:15:22Z", "objectKey": "string", "objectUrl": "http://example.com", "remoteId": "cdee4406-f055-4129-bba8-6e5385434edd", "status": "pending", "updatedAt": "2019-08-24T14:15:22Z", "verifiedAt": "2019-08-24T14:15:22Z", "workerStage": "string" } ], "verifiedCopies": [ { "archiveUrl": "http://example.com", "archiveUrlIdentity": "string", "attempts": 0, "bytesDownloaded": 0, "claimedAt": "2019-08-24T14:15:22Z", "error": { "message": "string", "type": "string", "httpStatus": 0 }, "nextAttemptAt": "2019-08-24T14:15:22Z", "objectKey": "string", "objectUrl": "http://example.com", "remoteId": "cdee4406-f055-4129-bba8-6e5385434edd", "status": "pending", "updatedAt": "2019-08-24T14:15:22Z", "verifiedAt": "2019-08-24T14:15:22Z", "workerStage": "string" } ]}